> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/sql-statements/data-definition/alter/alter-server.md).

# ALTER SERVER

## Syntax

```bnf
ALTER SERVER server_name
    OPTIONS (option [, option] ...)
```

## Description

Alters the server information for *server\_name*, adjusting the specified options as per the [CREATE SERVER](/docs/server/reference/sql-statements/data-definition/create/create-server.md) command. The corresponding fields in the [mysql.servers table](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-servers-table.md) are updated accordingly. This statement requires the [SUPER](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#super) privilege or, from [MariaDB 10.5.2](/docs/release-notes/community-server/old-releases/10.5/10.5.2.md), the [FEDERATED ADMIN](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#federated-admin) privilege.

ALTER SERVER is not written to the [binary log](/docs/server/server-management/server-monitoring-logs/binary-log.md), irrespective of the [binary log format](/docs/server/server-management/server-monitoring-logs/binary-log/binary-log-formats.md) being used. From MariaDB 10.1.13, [Galera](https://mariadb.com/docs/galera-cluster/) replicates the [CREATE SERVER](/docs/server/reference/sql-statements/data-definition/create/create-server.md), ALTER SERVER and [DROP SERVER](/docs/server/reference/sql-statements/data-definition/drop/drop-server.md) statements.

## Examples

```sql
ALTER SERVER s OPTIONS (USER 'sally');
```

## See Also

* [CREATE SERVER](/docs/server/reference/sql-statements/data-definition/create/create-server.md)
* [DROP SERVER](/docs/server/reference/sql-statements/data-definition/drop/drop-server.md)
* [Spider Storage Engine](/docs/server/server-usage/storage-engines/spider.md)
* [mysql.servers table](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-servers-table.md)

<sub>*This page is licensed: GPLv2, originally from*</sub> [<sub>*fill\_help\_tables.sql*</sub>](https://github.com/MariaDB/server/blob/main/scripts/fill_help_tables.sql)

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-statements/data-definition/alter/alter-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
